diff --git a/common/x86/x86inc.asm b/common/x86/x86inc.asm
index 307d246..9a1d922 100644
--- a/common/x86/x86inc.asm
+++ b/common/x86/x86inc.asm
@@ -325,8 +325,12 @@ DECLARE_REG 6, ebp, ebp, bp, null, [esp + stack_offset + 28]
 ; This is needed for ELF, otherwise the GNU linker assumes the stack is
 ; executable by default.
 %ifidn __OUTPUT_FORMAT__,elf
+%ifdef __NASM_MAJOR__
+SECTION .note.GNU-stack noalloc noexec nowrite progbits
+%else
 SECTION ".note.GNU-stack" noalloc noexec nowrite progbits
 %endif
+%endif
 
 %assign FENC_STRIDE 16
 %assign FDEC_STRIDE 32
